#!/bin/bash

mkdir swayfxbuild
cd swayfxbuild

wget https://github.com/WillPower3309/swayfx/archive/refs/tags/0.3.2.tar.gz
tar -xf 0.3.2.tar.gz
rm 0.3.2.tar.gz

cd ./swayfx-0.3.2
mkdir ./subprojects

cd subprojects
wget https://gitlab.freedesktop.org/wlroots/wlroots/-/archive/0.16.2/wlroots-0.16.2.tar.gz
tar -xf wlroots-0.16.2.tar.gz
rm wlroots-0.16.2.tar.gz
mv ./wlroots-0.16.2 ./wlroots

sed -i 's\werror=true\werror=false\' ./wlroots/meson.build

cd ..
meson build/
ninja -C build/

sudo ninja -C build/ install
sudo ln -s "/usr/local/lib/$(uname -m)-linux-gnu/libwlroots.so.11" /usr/lib/
